What browsers do you support?

To access Grok Learning, you will need an internet connection and one of the following browsers:

  • a recent version of Google Chrome;
  • a recent version of Mozilla Firefox;
  • Safari version 7 or greater;
  • a recent version of Microsoft Edge;
  • or Microsoft Internet Explorer version 11 or greater.

For the best user experience, Grok recommends using Google Chrome or Mozilla Firefox.

Still need help? Contact Us Contact Us